Перейти к содержанию
ibond

Warning: ZIP extension needs to be loaded for OpenCart to work!

Рекомендуемые сообщения

Добрый день!

 

Вот столкнулся с проблемой, что ocStore 2.1.0.2.1 при установке вот так ругнулся :(

 

Warning: ZIP extension needs to be loaded for OpenCart to work!

 

Было написано письмо в хостинг. Ответили:

 

 

По поводу 1го вопроса, судя по всему для данной CMS необходимы доп компоненты на сервере, к сожалению на сервере общего хостинга не предусмотрена установка доп компонентов, потому  это может вызвать нарушение работоспособность остальных клиентов.

 
Исходя из этого предлагаем Вам заказать виртуальную машину.

 

Бред. Бред, потому как:

[skolokol_74035_0@web1 skolokol_74035_0]$ cat php.ini | grep zip.so
extension=zip.so
Press any key to continue...
[skolokol_74035_0@web1 skolokol_74035_0]$ php -m | grep zip
zip
Press any key to continue...
[skolokol_74035_0@web1 modules]$ ls -l zip.so
-rwxr-xr-x 1 root root 94448 Sep 14  2015 zip.so
Press any key to continue...
 

Отсюда вопрос, если установить на другом хостинге, потом перенести, то какие последствия можно ожидать?

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

что за хостинг такой?

у более-менее вменяемых хостеров вроде даже на shared существует возможность включить нужные расширения из панели управления

 

впрочем, по фразе из ответа

..потому  это может вызвать нарушение работоспособность остальных клиентов

вопрос насчет хостинга снимается :ugeek:

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

что за хостинг такой?

parking.ru

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Отсюда вопрос, если установить на другом хостинге, потом перенести, то какие последствия можно ожидать?

есть мысль, что установка ocmod.zip архивов вызовет головную боль с таким хостером

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

есть мысль, что установка ocmod.zip архивов вызовет головную боль с таким хостером

ну да, еще эксперимент не провел, но как бы поддержка вроде как zip есть, но что-то Стору не нравится.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.